<?php
/**
 * Created by PhpStorm.
 * User: rafaelporto
 * Date: 04/04/2016
 * Time: 10:46
 */

namespace Controller;


use Exception\CustomException;
use Util\Utilities;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class CallLabels extends Simple {

    /** @var  \Service\CallLabels $callLablesService */
    protected $callLabelsService;

    public function __construct(\Service\CallLabels $callLabelsService, \Util\Utilities $environment) {
        $this->callLabelsService = $callLabelsService;
        $this->environment = $environment;
    }

    public function saveCallLabels(Request\DataSet $request, Response $response) {
        try {
            $callLabel = $request->getDataSet()->getRows()[0];

            $id = empty($callLabel['ID']) ? null : $callLabel['ID'];
            $description = $callLabel['DESCRIPTION'];
            $cdCliente = $callLabel['CDCLIENTE'];
            
            if(!empty($callLabel['__is_new']) && $callLabel['__is_new']){
                $this->callLabelsService->saveNewCallLabel($description,$cdCliente);
            } else {
                $this->callLabelsService->updateCallLabel($id, $description, $cdCliente);
            }
            $response->addDataSet(new DataSet('callLabel', array($callLabel)));
        } catch(CustomException $e) {
            $response->setError(Utilities::getErrorObjectFromException($e));
        }
    }

    public function deleteCallLabels(Request\DataSet $request, Response $response) {
        try {
            $callLabels = $request->getDataSet()->getRows();
            foreach($callLabels as $callLabel) {
                $callLabelID = $callLabel['ID'];
                $this->callLabelsService->deleteCallLabel($callLabelID);
            }
        } catch(CustomException $e) {
            $response->setError(Utilities::getErrorObjectFromException($e));
        }
    }

    public function findAllCallLabels(Request\Filter $request, Response $response) {
        try {
            $page = $request->getFilterCriteria()->getPage();
            $pageSize = $request->getFilterCriteria()->getPageSize();
            $conditions = $request->getFilterCriteria()->getConditions();
            $callLabels = $this->callLabelsService->findAllCallLabels($conditions,$page,$pageSize);
            $response->addDataSet(new DataSet('findAllCallLabels', $callLabels));
        } catch(\Exception $e) {
            $response->addDataSet(new DataSet('findAllCallLabels', array()));
        }
    }
} 