/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRECOSECIA                                               */
/* Tabela : PRECOSECIA                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 26/11/2003 Mariana Costa                                                   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRECOSECIA
BEFORE INSERT OR UPDATE OR DELETE
ON PRECOSECIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPCIA := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUPCIA := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRECOSECIA', '',
                               'CDFILIAL='||:OLD.CDFILIAL||
                               ';CDCIA='||:OLD.CDCIA||
                               ';NRTABPRECO='||:OLD.NRTABPRECO||
                               ';CDSERVICO='||:OLD.CDSERVICO||
                               ';NRSEQPRECO='||:OLD.NRSEQPRECO||
                               ';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRECOSECIA MODIFY DTULTATUPCIA DEFAULT SYSDATE
/
